Draft Clone

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Clone and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Draft Stretch.svg Étirer
Page suivante : Réseau orthogonal Draft OrthoArray.svg Arrow-right.svg

Draft Clone.svg Draft Clone

Emplacement du menu
Modification → Clone
Ateliers
Draft, Arch
Raccourci par défaut
C L
Introduit dans la version
-
Voir aussi
Draft Echelle

Description

La commande Draft Clone.svg Draft Clone crée des copies liées, des clones, des objets sélectionnés. La forme d'un clone est paramétrique. Il sera mis à jour si son objet source change. Mais un clone a sa propre position, rotation et échelle, ainsi que ses propres propriétés de vue. Pour les objets Arch, la commande crée un type spécial de clone : un clone Arch.

Cette commande peut être utilisée sur des objets 2D créés avec l'Atelier Draft ou l'Atelier Sketcher, mais aussi sur de nombreux objets 3D tels que ceux créés avec Atelier Part, Atelier PartDesign ou Atelier Arch. Les clones d'objets 2D peuvent être utilisés dans des PartDesign Corps.

Draft Clone example.jpg

Clone Draft à côté de son objet source

Utilisation

  1. En option, sélectionnez un ou plusieurs objets.
  2. Il existe plusieurs façons de lancer la commande :
    • Appuyez sur le bouton Draft Clone.svg Crée un clone....
    • Sélectionnez l'option Modification → Draft Clone.svg Clone dans le menu.
    • Utilisez le raccourci clavier : C puis L.
  3. Si vous n'avez pas encore sélectionné d'objet : sélectionnez un objet dans la Vue 3D.

Propriétés

Voir aussi : Éditeur de propriétés

Un objet créé avec la commande Draft Clone est dérivé d'un objet Part Part2DObject, d'un objet Part Feature ou, si un Arch Clone est créé, du type d'objet de l'objet source. Il hérite de toutes les propriétés de cet objet. Un clone dérivé de l'un des deux premiers objets possède également les propriétés supplémentaires suivantes :

Données

Draft

  • DonnéesFuse (Bool) : spécifie si les formes qui se chevauchent dans le clone sont fusionnées ou non.
  • DonnéesObjects (LinkListGlobal) : spécifie les objets qui sont clonés.
  • DonnéesScale (Vector) : spécifie les facteurs d'échelle X, Y et Z.

Script

Voir aussi : Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour créer un clone, utilisez la méthode make_clone (Introduit dans la version 0.19) de l'atelier Draft. Cette méthode remplace la méthode dépréciée clone.

cloned_object = make_clone(obj, delta=None, forcedraft=False)
  • obj contient les objets à cloner. Il s'agit soit d'un objet unique, soit d'une liste d'objets.
  • delta est le vecteur de déplacement à appliquer au clone.
  • Si forcedraft est False et obj contient un seul objet Arch, un Arch Clone est créé. Définissez forcedraft à True pour créer un Clone Draft à la place.
  • cloned_object est restitué avec l'objet clone.

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

place = App.Placement(App.Vector(1000, 0, 0), App.Rotation())
polygon1 = Draft.make_polygon(3, 750)
polygon2 = Draft.make_polygon(5, 750, placement=place)

vector = App.Vector(2600, 500, 0)
cloned_object = Draft.clone([polygon1, polygon2], delta=vector)

cloned_object.Fuse = True

doc.recompute()


Arrow-left.svg Page précédente : Draft Stretch.svg Étirer
Page suivante : Réseau orthogonal Draft OrthoArray.svg Arrow-right.svg